@import 'vars';

.mainContainer {

  .bgSection {
    background-image: url('../../../images/ethPrague/ethPragueBackground.png');
    background-size: cover;
    background-blend-mode: multiply;
  }

  .minting {
    position: relative;
    display: flex;
    justify-content: center;
    background-position: bottom;

    .yellowRectangle {
      top: 206px;
      position: absolute;
      background-color: #fff396;
      height: 408px;
      width: 100%;
    }
  }

  .powered {
    padding-top: 10px;

    @media (min-width: 12806px) {
      padding-top: 107px;
    }
  }
}

.tooltipContent {
  background-color: #7a7a7a !important;
  color: $c-white !important;
}

.upperContainer {
  position: relative;
  width: 100%;
  margin: 20px auto 27px;
  height: 260px;
  z-index: 0;

  @media (min-width: 340px) {
    height: 342px;
    max-width: 342px;
    margin: 53px 0 31px;
  }

  @media (min-width: 768px) {
    height: 482px;
    max-width: 482px;
  }
}

.lowerContainer {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: $c-white;
  border: 2px solid #FF0051;
  box-shadow: 0px 0px 50px 3px rgba(255, 255, 255, 0.15);
  border-radius: 23px;
  padding: 0 30px 28px;
  margin-bottom: 140px;

  @media (min-width: 768px) {
    width: 550px;
    padding: 0 76px 50px;
  }

  @media (min-width: 870px) {
    width: 632px;
    padding: 0 76px 50px;
  }

  .notEligibleInfo {
    font-family: Montserrat;
    margin-top: 20px;
    color: red;
    text-align: center;
  }
}
.inputData {
  background-color: $c-white;
  border: 2px solid #FF0051;
  border-radius: 42px;
  box-sizing: border-box;
  width: 100%;
  height: 50px;
  padding-left: 11px;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 22px;
  letter-spacing: 0.02em;

  @media (min-width: 768px) {
    font-size: 18px;
    height: 65px;
    padding: 0 0 0 28px;
  }

  &:disabled {
    cursor: not-allowed;
    opacity: 0.5;

    &::placeholder {
      font-family: Montserrat;
      font-style: normal;
      font-weight: 600;
      font-size: 18px;
      line-height: 22px;
      letter-spacing: 0.02em;
      color: #acb2ab;
      text-shadow: 0px 2px 50px $c-white;
    }
  }

  &:focus,
  &:focus-visible {
    border: 2px solid #FF0051;
  }

  &::placeholder {
    color: rgba(2, 12, 30, 0.5);
    font-size: 12px;
    line-height: 18px;

    @media (min-width: 768px) {
      font-size: 16px;
      line-height: 24px;
    }
  }
}

.status {
  position: absolute;
  font-family: Montserrat;
  font-style: normal;
  top: -60px;
  font-weight: 700;
  font-size: 12px;
  line-height: 18px;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 18px;
  }
}

.relativeWrapper {
  position: relative;
  width: 100%;
}

.buttonWrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  margin-top: 57px;
}

.button {
  font-family: $font-archivo-semiexpanded;
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 22px;
  text-align: center;
  letter-spacing: 0.11em;
  text-transform: uppercase;
  color: $c-white;
  background-color: #FF0051 !important;
  border-radius: 42px;
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
  width: 100%;
  height: 41.81px;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration-line: none;

  @media (min-width: 768px) {
    width: 100%;
    height: 65px;
    font-size: 18px;
    line-height: 21.94px;
  }

  &:disabled {
    opacity: 0.5;
    cursor: not-allowed;
  }
}

.randomize {
  position: absolute;
  cursor: pointer;
  padding: 0;
  top: 12px;
  right: 16px;
  background-color: transparent;
  border: 0;
  img {
    height: 19px;
    width: 21px;
  }
  @media (min-width: 768px) {
    top: 18px;
    right: 31.2px;
    img {
      width: 32px;
      height: 30px;
    }
  }
  &:disabled {
    cursor: not-allowed;
  }
}
.slider {
  border: none;
  width: 100%;
  margin-top: 22px;
  background-color: transparent;

  :global(.rc-slider-rail) {
    background-color: rgba(0, 0, 0, 0.25) !important;
  }

  :global(.rc-slider-track) {
    background-color: #020003 !important;
  }

  :global(.rc-slider-mark-text) {
    width: 100%;

    &:first-child {
      text-align: left;
      transform: none !important;
    }

    &:last-child {
      text-align: right;
      transform: translateX(-100%) !important;
    }
  }

  @media (min-width: 768px) {
    margin-top: 41px;
  }

  :global(.rc-slider-handle) {
    width: 19px !important;
    height: 19px !important;
    top: 2px !important;
    background-color: #FF0051 !important;
  }
}

.sliderInfo {
  margin: 0;
  margin-top: 10px;
  font-family: $font-archivo-semiexpanded;
  font-weight: 500;
  font-size: 15px;
  line-height: 18px;
  letter-spacing: 0.02em;
  color: rgba(0, 0, 0, 0.25);
}
.withdrawals {
  position: relative;
  margin: 19px 0 0;
  font-style: normal;
  font-weight: 800;
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 0.02em;
  text-align: center;
  color: $c-white;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    margin-bottom: 0;
  }
}

.indicatorContainer {
  position: absolute;
  bottom: -100px;
  display: grid;
  column-gap: 20px;

  div {
    grid-row: 1;
    width: 19px;
    height: 19px;
    border-radius: 100%;
    margin-bottom: 28px;
  }

  @media (min-width: 210px) {
    column-gap: 44px;
    div {
      width: 29.85px;
      height: 29.85px;
    }
  }

  @media (min-width: 768px) {
    display: block;
    right: -78px;
    bottom: auto;
    width: 29.85px;
    height: 29.85px;
    padding-top: 44px;
    top: 30px;
    div {
      margin-bottom: 44px;
      width: 29.85px;
      height: 29.85px;
    }
  }
  .green {
    background: rgba(77, 255, 100, 0.25);
  }
  .red {
    background: rgba(255, 51, 51, 0.25);
  }
  .orange {
    background: rgba(255, 149, 0, 0.25);
  }
}
.container {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  min-height: 600px;
  @media (min-width: 768px) {
    max-width: 100%;
    margin: 0 auto 0 auto;
  }
  .description {
    width: 45%;
    margin-right: 10%;
    .title {
      margin-top: 0;
    }
    .paragraph {
      display: flex;
      flex-direction: column;
      font-size: 24px;
      font-weight: 300;
      .mintText {
        color: #04dfc7;
        font-weight: bolder;
      }
    }
  }
  .details {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0px 20px 57px;

    .row {
      padding-bottom: 30px;
      display: flex;
      flex-direction: column;
      .rowTitle {
        color: #1f6fe5;
        font-weight: bold;
        font-size: 20px;
        margin-bottom: 10px;
      }
      .rowValue {
        color: black;
        font-weight: 500;
        font-size: 22px;
      }
    }

    @media (min-width: 768px) {
      padding: 0 0 0 0;
    }
  }
}
.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: contain;
  z-index: 1;
}

.connect {
  width: 100%;

  button {
    font-family: $font-archivo-semiexpanded;
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 22px;
    text-align: center;
    letter-spacing: 0.11em;
    text-transform: uppercase;
    color: $c-white;
    background: #FF0051;
    border-radius: 42px;
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
    width: 100%;
    height: 41.81px;
    border: none;

    @media (min-width: 768px) {
      width: 100%;
      height: 65px;
      font-size: 18px;
      line-height: 21.94px;
    }
  }
}

.loader {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 99;
  opacity: 0.9;
}
.specialMessage {
  margin-top: 14px;
  color: gold;
  text-align: center;
}

.successTitle {
  font-family: $font-quarantype-campfire;
  font-style: normal;
  font-weight: 400;
  font-size: 35px;
  line-height: 46px;text-align: center;
  text-transform: capitalize;
  color: #FF0051;
}

.successDescription {
  font-family: $font-archivo-semiexpanded;
  font-style: normal;
  font-weight: 500;
  font-size: 21px;
  line-height: 23px;
  text-align: center;
  color: #000000;
}

@media (min-width: 768px) {
  .successTitle {
    font-weight: 400;
    font-size: 28px;
    line-height: 34px;
    margin: 0;
    margin-top: 55px;
  }

  .successDescription {
    font-size: 16px;
    line-height: 24px;
    margin: 0;
    margin-top: 14px;
  }
}

.numberInputLabel {
  font-family: $font-archivo-semiexpanded;;
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 20px;
  text-align: center;
  letter-spacing: 0.02em;
  color: #2E2B26;
  text-shadow: 0px 2px 50px $c-white;
  text-align: left;
  width: 100%;
  margin: 57px 0 17px;
  text-align: center;

  @media (min-width: 768px) {
    font-size: 21px;
    line-height: 29px;
  }
}

.tooltipPosition {
  position: absolute;
  display: block;
  top: 20px;
  right: 0;

  @media (min-width: 768px) {
    right: -12px;
  }
}

.tooltipBoldText {
  font-weight: 700;
  font-size: 12px;
  line-height: 15px;
  letter-spacing: 0.02em;
  color: $c-white;
  text-shadow: 0px 2px 50px $c-white;
}

.walletInput {
  margin-top: 52px;
  width: 100%;
  display: flex;
  flex-direction: column;

  span {
    font-family: $font-archivo-semiexpanded;
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 20px;
    text-align: center;
    letter-spacing: 0.02em;   
    color: #000000;   
    text-shadow: 0px 2px 50px $c-white;
  }

  input[type='text'] {
    margin-top: 21px;
    background: $c-white;
    border: 2px solid #FF0051;
    border-radius: 41px;
    box-sizing: border-box;
    width: 100%;
    height: 50px;
    font-family: Montserrat;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 22px;
    letter-spacing: 0.02em;
    margin-bottom: 5px;

    &:disabled {
      color: #585a5e;
      cursor: not-allowed;
      background-color: $c-alto;

      &::placeholder {
        color: #c0bebe;
      }
    }
    &:focus,
    &:focus-visible {
      border: 2px solid #FF0051;
    }

    &::placeholder {
      font-family: Montserrat;
      font-style: normal;
      font-weight: 600;
      font-size: 18px;
      line-height: 22px;
      letter-spacing: 0.02em;
      color: #acb2ab;
      text-shadow: 0px 2px 50px $c-white;
    }

    @media (min-width: 768px) {
      font-size: 16px;
      height: 65px;
      padding: 0px 0 0px 28px;
    }
  }
}

.walletInputNotConnected {
  margin-bottom: 24px;
}

.percentage {
  margin-top: 8px;
  font-family: Montserrat;
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  line-height: 18px;
  letter-spacing: 0.02em;
  color: #2E2B26;
}

.error {
  color: red;
  font-size: 16px;
  margin-top: 25px;
  text-align: center;
}
